> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取监控列表

> 获取工作区中所有监控的列表。



## OpenAPI

````yaml cn-openapi POST /monitors
openapi: 3.0.0
info:
  description: >-
    Pubrio API 提供市场扩张情报——实时捕捉企业进入新市场的信号，以及其底层的公司与人员数据。可搜索、查找并丰富账户与联系人信息，并订阅覆盖
    200+ 市场、带类型与日期的动向信号。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/zh-CN/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/zh-CN/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: 工作区配置信息和使用统计
  - name: Enrichment
    description: 通过详细的 B2B 数据丰富人员和公司记录
  - name: Lookalike
    description: 查找与指定公司相似的公司
  - name: Search
    description: 使用筛选条件搜索人员、公司、职位、新闻和广告
  - name: Lookup
    description: 查找特定人员、公司、职位、新闻、广告和技术的详细信息
  - name: LinkedIn
    description: 通过 LinkedIn 个人资料 URL 查找人员和公司数据
  - name: Redeem
    description: 兑换积分以解锁人员联系方式（单个和批量）
  - name: Channels
    description: 管理外展渠道模板（创建、更新、删除、列表）
  - name: Monitor
    description: 创建和管理数据监控，包括 Webhook、统计和处理
  - name: Filters
    description: 获取搜索参数的可用筛选值（技术、地点、垂直领域等）
  - name: API Keys
    description: 查看 API 密钥的请求日志和使用情况分析
  - name: Insights
    description: 公司的信号聚合洞察(招聘、新闻、广告)。
  - name: Export
    description: 批量数据导出(消耗积分)。
  - name: Expansion
    description: 公司市场扩张情报:信号、阶段、市场与导出。
externalDocs:
  description: Pubrio API 用于搜索、预览和增强联系人及账户信息。Pubrio 数据库提供丰富的 B2B 联系人和销售情报数据。
  url: https://docs.pubrio.com
paths:
  /monitors:
    post:
      tags:
        - Monitor
      summary: 列出监控
      description: 获取工作区中所有监控的列表。
      operationId: monitors_list
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                destination_types:
                  type: array
                  items:
                    type: string
                  description: 按目标类型过滤（例如 ['email', 'webhook']）。空数组返回全部。
                detection_modes:
                  type: array
                  items:
                    type: string
                  description: 按检测模式过滤（例如 ['company_first', 'signal_first']）。空数组返回全部。
                status:
                  type: string
                  enum:
                    - draft
                    - active
                    - paused
                    - inactive
                  description: 按监控状态过滤。
                is_ascending_order:
                  type: boolean
                  description: 按升序排序。默认为 false（降序）。
                  default: false
                order_by:
                  type: string
                  enum:
                    - name
                    - last_trigger_at
                    - last_modified
                  description: >-
                    排序字段。可接受的值：'name'、'last_trigger_at'、'last_modified'。省略时，列表按
                    created_at 降序排列。
                search_term:
                  type: string
                  nullable: true
                  description: 搜索词，仅与监控名称匹配（正则表达式，不区分大小写）。
                per_page:
                  type: integer
                  description: >-
                    每页记录数。默认 25，在大多数套餐下这也是上限 —— 该限制即订阅中的
                    `max_search_per_page`，可通过
                    [Profile](/cn/api-reference/endpoint/profile/profile)
                    获取。超出会返回 **HTTP 416** 及错误码 `41676`（公司与人物搜索为
                    `41613`），而不是自动截断结果。
                  default: 25
                page:
                  type: integer
                  description: >-
                    页码，从 1 开始。上限为订阅中的 `max_search_page`（公司搜索为
                    `max_company_search_page`），可通过
                    [Profile](/cn/api-reference/endpoint/profile/profile)
                    获取。超出会返回 **HTTP 416**。
                  default: 1
      responses:
        '200':
          description: 成功响应，包含分页的监控列表。此列表不含关注列表类监控。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                            description: 当前页码。
                          per_page:
                            type: integer
                            description: 每页结果数。
                          total_entries:
                            type: integer
                            description: 监控总数。
                          total_pages:
                            type: integer
                            description: 总页数。
                          total_display_pages:
                            type: integer
                            description: 显示总页数。
                          is_timeout:
                            type: boolean
                            description: 查询是否超时。
                      monitors:
                        type: array
                        items:
                          type: object
                          properties:
                            monitor_id:
                              type: string
                              format: uuid
                              description: 监控的唯一标识符。
                            name:
                              type: string
                              description: 监控名称。
                            description:
                              type: string
                              description: 监控描述。
                            detection_mode:
                              type: string
                              description: 检测模式：'company_first' 或 'signal_first'。
                            signal_types:
                              type: array
                              items:
                                type: string
                              description: 要监控的信号类型（例如 'jobs'、'news'、'advertisements'）。
                            signal_filters:
                              type: object
                              description: 应用于信号的过滤器。使用与搜索端点相同的过滤器结构。
                            company_filters:
                              type: object
                              description: 应用于公司的过滤器。使用与搜索端点相同的过滤器结构。
                            companies:
                              type: array
                              items:
                                type: string
                              description: 要监控的公司标识符数组。
                            is_company_enrichment:
                              type: boolean
                              description: 是否在结果中增强公司数据。
                            is_people_enrichment:
                              type: boolean
                              description: 是否在结果中增强人员数据。
                            people_enrichment_configs:
                              type: object
                              description: 人员增强配置，包括过滤器和限制。
                              properties:
                                max_people_to_return:
                                  type: integer
                                  description: 每家公司返回的最大人员数。最小值：1，最大值：25。
                            destination_type:
                              type: string
                              description: 投递目标类型（例如 'email'、'webhook'）。
                            destination_config:
                              type: object
                              description: 投递目标的配置（例如 webhook URL、邮箱地址）。
                            frequency_minute:
                              type: integer
                              description: 触发频率（分钟）。最小值：0，最大值：1440，默认值：0。
                            max_retry_per_trigger:
                              type: integer
                              description: 每次触发的最大重试次数。最小值：0，最大值：3，默认值：1。
                            max_records_per_trigger:
                              type: integer
                              description: 每次触发的最大记录数。最小值：1，最大值：100，默认值：25。
                            retry_delay_second:
                              type: integer
                              description: 重试间隔（秒）。最小值：1，最大值：5，默认值：1。
                            max_daily_trigger:
                              type: integer
                              description: 每日最大触发次数。最小值：0，最大值：86400，默认值：500。
                            max_failure_trigger:
                              type: integer
                              description: 暂停前的最大连续失败次数。最小值：1，最大值：10，默认值：5。
                            masked_signature:
                              type: string
                              description: 用于显示的已遮罩 webhook 签名。
                            status:
                              type: string
                              enum:
                                - draft
                                - active
                                - paused
                                - inactive
                              description: 监控的生命周期状态。
                            notification_email:
                              type: string
                              description: 监控通知邮箱地址。
                            repeated_failure_count:
                              type: integer
                              description: 当前连续失败次数。
                            last_trigger_at:
                              type: string
                              format: date-time
                              nullable: true
                              description: 最后一次触发的时间戳。
                            last_processed_at:
                              type: string
                              format: date-time
                              nullable: true
                              description: 最后一次处理完成的时间戳。
                            created_at:
                              type: string
                              format: date-time
                              description: 监控创建的时间戳。
                            last_modified:
                              type: string
                              format: date-time
                              description: 监控最后修改的时间戳。
                            user:
                              type: object
                              properties:
                                user_id:
                                  type: string
                                  description: 创建监控的用户标识符。
                                nickname:
                                  type: string
                                  description: 用户显示名称。
                                email:
                                  type: string
                                  description: 用户邮箱。
                              description: 创建监控的用户。
                            total_trigger_today:
                              type: integer
                              description: 今日已执行的触发次数。
                            success_rate:
                              type: string
                              nullable: true
                              description: 总体成功率（0 到 1），十进制字符串形式，例如 "0.983"。监控从未触发时为 null。
              example:
                data:
                  pagination:
                    page: 1
                    per_page: 25
                    total_entries: 8
                    total_pages: 1
                    total_display_pages: 1
                    is_timeout: false
                  monitors:
                    - monitor_id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      name: Company First Monitor
                      description: null
                      detection_mode: company_first
                      signal_types:
                        - jobs
                        - news
                        - advertisements
                      signal_filters:
                        - filters:
                            locations:
                              - US
                          signal_type: jobs
                        - filters:
                            locations:
                              - US
                          signal_type: news
                        - filters:
                            target_locations:
                              - US
                          signal_type: advertisements
                      company_filters:
                        locations:
                          - US
                      companies:
                        - 67c4696b-b7b0-46b5-b2af-9f434543661e
                      is_company_enrichment: true
                      is_people_enrichment: true
                      people_enrichment_configs:
                        - filters:
                            people_locations:
                              - US
                          max_people_to_return: 3
                          people_contact_types:
                            - email-work
                      destination_type: webhook
                      destination_config:
                        webhook_url: https://usewebhook.com/example
                        headers:
                          X-Custom-Auth: your-token
                        body:
                          source: pubrio
                      notification_email: team@example.com
                      max_retry_per_trigger: 1
                      retry_delay_second: 1
                      max_records_per_trigger: 25
                      max_daily_trigger: 500
                      frequency_minute: 0
                      status: active
                      max_failure_trigger: 5
                      repeated_failure_count: 0
                      last_trigger_at: '2026-04-05T22:29:36.349Z'
                      last_processed_at: '2026-04-05T18:28:05.715Z'
                      masked_signature: 9••••••••••••••••f09
                      created_at: '2026-04-03T18:49:20.048Z'
                      last_modified: '2026-04-05T22:29:36.349Z'
                      user:
                        user_id: a1b2c3d4-0000-0000-0000-000000000000
                        nickname: Jane Smith
                        email: jane@example.com
                      total_trigger_today: 4
                      success_rate: '1.000'
                    - ...
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  responses:
    general_error:
      description: 请求错误。请求格式不正确或包含无效参数。请检查错误代码和消息以获取详细信息。
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: 错误及代码会根据不同场景有所不同，详情请参阅文档。
                type: string
              details:
                type: object
    rate_limit_error:
      description: 超出速率限制。在给定时间段内发送了过多请求。请在速率限制窗口重置后重试。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 请求频率超出限制。请稍后再试。
                type: string
    server_error:
      description: 内部服务器错误。服务器发生意外错误。如果错误持续存在，请联系支持团队。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 服务器在处理请求时遇到了未预料的异常。
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        一个唯一的 API 令牌，用于标识您通过 API 执行的操作以及相应的权限和操作。您可以在
        [设置](https://dashboard.pubrio.com/#/settings/) 部分创建该令牌。
      in: header

````